Mikrom API (0.5.4)

Download OpenAPI specification:Download

REST API for Mikrom microVM orchestration.

Authentication accepts either a session JWT or a Personal Access Token (mikrom_pat_...) sent as an HTTP Bearer credential. Create PATs under POST /v1/auth/tokens; see docs/guides/api-authentication.md for the full guide. An interactive explorer is served at /v1/docs.

health

Responses

Response samples

Content type
application/json
{
  • "services": {
    },
  • "status": "string",
  • "version": "string"
}

health_live

Responses

health_ready

Responses

Response samples

Content type
application/json
{
  • "services": {
    },
  • "status": "string",
  • "version": "string"
}

health_stream

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

re_attach

Responses

Response samples

Content type
application/json
{
  • "tenants": [
    ]
}

polar_webhook

Request Body schema: application/octet-stream
required
Schema not provided

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

validate

Request Body schema: application/json
required
required
Array of objects (ValidateRequestTenant)

Responses

Request samples

Content type
application/json
{
  • "tenants": [
    ]
}

Response samples

Content type
application/json
{
  • "tenants": [
    ]
}

get_captcha

Responses

Response samples

Content type
application/json
{
  • "captcha_id": "string",
  • "captcha_image": "string"
}

register

Request Body schema: application/json
required
captcha_answer
required
string
captcha_id
required
string
email
required
string
first_name
string or null
last_name
string or null
password
required
string

Responses

Request samples

Content type
application/json
{
  • "captcha_answer": "string",
  • "captcha_id": "string",
  • "email": "string",
  • "first_name": "string",
  • "last_name": "string",
  • "password": "string"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

login

Request Body schema: application/json
required
code
string or null
email
required
string
password
required
string

Responses

Request samples

Content type
application/json
{
  • "code": "string",
  • "email": "string",
  • "password": "string"
}

Response samples

Content type
application/json
{
  • "refresh_token": "string",
  • "requires_2fa": true,
  • "token": "string",
  • "user": {
    }
}

refresh_session

Request Body schema: application/json
required
refresh_token
required
string

Responses

Request samples

Content type
application/json
{
  • "refresh_token": "string"
}

Response samples

Content type
application/json
{
  • "refresh_token": "string",
  • "token": "string"
}

logout

Request Body schema: application/json
required
refresh_token
required
string

Responses

Request samples

Content type
application/json
{
  • "refresh_token": "string"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

github_webhook_handler

path Parameters
app_name
required
string
Request Body schema: application/octet-stream
required
Schema not provided

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

github_webhook_handler_generic

Request Body schema: application/octet-stream
required
Schema not provided

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

get_profile

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
{
  • "avatar_url": "string",
  • "email": "string",
  • "email_notifications": true,
  • "first_name": "string",
  • "id": "string",
  • "last_name": "string",
  • "marketing_emails": true,
  • "role": "Admin",
  • "totp_enabled": true,
  • "vpc_ipv6_prefix": "string"
}

update_profile

Authorizations:
jwtpat
Request Body schema: application/json
required
email_notifications
boolean or null
first_name
string or null
last_name
string or null
marketing_emails
boolean or null

Responses

Request samples

Content type
application/json
{
  • "email_notifications": true,
  • "first_name": "string",
  • "last_name": "string",
  • "marketing_emails": true
}

Response samples

Content type
application/json
{
  • "avatar_url": "string",
  • "email": "string",
  • "email_notifications": true,
  • "first_name": "string",
  • "id": "string",
  • "last_name": "string",
  • "marketing_emails": true,
  • "role": "Admin",
  • "totp_enabled": true,
  • "vpc_ipv6_prefix": "string"
}

delete_account

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

change_password

Authorizations:
jwtpat
Request Body schema: application/json
required
current_password
required
string
new_password
required
string

Responses

Request samples

Content type
application/json
{
  • "current_password": "string",
  • "new_password": "string"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

setup_totp

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
{
  • "otpauth_url": "string",
  • "secret": "string"
}

verify_totp

Authorizations:
jwtpat
Request Body schema: application/json
required
code
required
string

Responses

Request samples

Content type
application/json
{
  • "code": "string"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

disable_totp

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

list_personal_access_tokens

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
[
  • {
    }
]

create_personal_access_token

Authorizations:
jwtpat
Request Body schema: application/json
required
name
required
string

Responses

Request samples

Content type
application/json
{
  • "name": "string"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

revoke_personal_access_token

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

get_billing_summary

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
{
  • "amount_cents": 0,
  • "cancel_at_period_end": true,
  • "currency": "string",
  • "current_period_end": "2019-08-24T14:15:22Z",
  • "current_period_start": "2019-08-24T14:15:22Z",
  • "customer_external_id": "string",
  • "default_checkout_product_id": "string",
  • "has_billing_record": true,
  • "is_test_mode": true,
  • "plan_limits": {
    },
  • "plan_name": "string",
  • "polar_customer_id": "string",
  • "polar_product_id": "string",
  • "polar_subscription_id": "string",
  • "selected_checkout_product_id": "string",
  • "status": "string",
  • "tenant_id": "string",
  • "tier_slug": "string"
}

list_billing_products

Responses

Response samples

Content type
application/json
{
  • "default_checkout_product_id": "string",
  • "last_synced_at": "2019-08-24T14:15:22Z",
  • "products": [
    ]
}

refresh_billing_products

Authorizations:
jwtpatjwtpat

Responses

Response samples

Content type
application/json
{
  • "default_checkout_product_id": "string",
  • "last_synced_at": "2019-08-24T14:15:22Z",
  • "products": [
    ]
}

update_billing_checkout_product

Authorizations:
jwtpatjwtpat
Request Body schema: application/json
required
product_id
string or null

Responses

Request samples

Content type
application/json
{
  • "product_id": "string"
}

Response samples

Content type
application/json
{
  • "amount_cents": 0,
  • "cancel_at_period_end": true,
  • "currency": "string",
  • "current_period_end": "2019-08-24T14:15:22Z",
  • "current_period_start": "2019-08-24T14:15:22Z",
  • "customer_external_id": "string",
  • "default_checkout_product_id": "string",
  • "has_billing_record": true,
  • "is_test_mode": true,
  • "plan_limits": {
    },
  • "plan_name": "string",
  • "polar_customer_id": "string",
  • "polar_product_id": "string",
  • "polar_subscription_id": "string",
  • "selected_checkout_product_id": "string",
  • "status": "string",
  • "tenant_id": "string",
  • "tier_slug": "string"
}

create_billing_checkout

Authorizations:
jwtpat
Request Body schema: application/json
required
product_id
string or null

Responses

Request samples

Content type
application/json
{
  • "product_id": "string"
}

Response samples

Content type
application/json
{
  • "url": "string"
}

create_billing_portal

Authorizations:
jwtpatjwtpat

Responses

Response samples

Content type
application/json
{
  • "url": "string"
}

list_user_notifications

Authorizations:
jwtpat
query Parameters
limit
integer or null <int64>
offset
integer or null <int64>
unread_only
boolean or null

Responses

Response samples

Content type
application/json
{
  • "has_more": true,
  • "next_offset": 0,
  • "notifications": [
    ],
  • "unread_count": 0
}

mark_user_notification_read

Authorizations:
jwtpat
path Parameters
notification_id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

mark_all_user_notifications_read

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

github_install

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
null

github_callback

query Parameters
installation_id
required
integer <int64>
setup_action
required
string
state
string or null

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

list_repos

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
[
  • {
    }
]

list_accounts

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
[
  • {
    }
]

list_projects

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
[
  • {
    }
]

create_project

Authorizations:
jwtpat
Request Body schema: application/json
required
name
required
string

Responses

Request samples

Content type
application/json
{
  • "name": "string"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

get_project

Authorizations:
jwtpat
path Parameters
tenant_slug
required
string

Responses

Response samples

Content type
application/json
{
  • "created_at": "2019-08-24T14:15:22Z",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "name": "string",
  • "tenant_id": "string",
  • "updated_at": "2019-08-24T14:15:22Z"
}

delete_project

Authorizations:
jwtpat
path Parameters
tenant_slug
required
string

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

update_project

Authorizations:
jwtpat
path Parameters
tenant_slug
required
string
Request Body schema: application/json
required
name
required
string

Responses

Request samples

Content type
application/json
{
  • "name": "string"
}

Response samples

Content type
application/json
{
  • "created_at": "2019-08-24T14:15:22Z",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "name": "string",
  • "tenant_id": "string",
  • "updated_at": "2019-08-24T14:15:22Z"
}

list_apps_handler

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
[
  • {
    }
]

create_app_handler

Authorizations:
jwtpatjwtpat
Request Body schema: application/json
required
autoscaling_enabled
boolean or null
desired_replicas
integer or null <int32>
drain_timeout
integer or null <int32>
git_url
required
string
github_installation_id
integer or null <int64>
github_repo_full_name
string or null
github_repo_id
integer or null <int64>
health_check_path
string or null
max_replicas
integer or null <int32>
min_replicas
integer or null <int32>
name
required
string
port
integer or null <uint32> >= 0

Responses

Request samples

Content type
application/json
{
  • "autoscaling_enabled": true,
  • "desired_replicas": 0,
  • "drain_timeout": 0,
  • "git_url": "string",
  • "github_installation_id": 0,
  • "github_repo_full_name": "string",
  • "github_repo_id": 0,
  • "health_check_path": "string",
  • "max_replicas": 0,
  • "min_replicas": 0,
  • "name": "string",
  • "port": 0
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

deploy_app

Authorizations:
jwtpatjwtpat
Request Body schema: application/json
required
app_name
required
string
disk_mib
integer or null <uint32> >= 0
git_url
string or null
hypervisor
string or null
image
required
string
memory_mib
integer or null <uint32> >= 0
port
integer or null <uint32> >= 0
vcpus
integer or null <uint32> >= 0

Responses

Request samples

Content type
application/json
{
  • "app_name": "string",
  • "disk_mib": 0,
  • "git_url": "string",
  • "hypervisor": "string",
  • "image": "string",
  • "memory_mib": 0,
  • "port": 0,
  • "vcpus": 0
}

Response samples

Content type
application/json
{
  • "deployment_id": "string",
  • "host_id": "string",
  • "image_tag": "string",
  • "job_id": "string",
  • "message": "string",
  • "status": "string",
  • "vm_id": "string"
}

get_app_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string

Responses

Response samples

Content type
application/json
{
  • "active_deployment_id": "66c710e1-2234-4bf2-af70-6d1ccc6055f1",
  • "autoscaling_enabled": true,
  • "cpu_threshold": 0.1,
  • "created_at": "2019-08-24T14:15:22Z",
  • "desired_replicas": 0,
  • "drain_timeout": 0,
  • "git_url": "string",
  • "github_installation_id": 0,
  • "github_repo_full_name": "string",
  • "github_repo_id": 0,
  • "github_webhook_secret": "string",
  • "health_check_path": "string",
  • "hostname": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "max_replicas": 0,
  • "mem_threshold": 0.1,
  • "min_replicas": 0,
  • "name": "string",
  • "port": 0,
  • "scale_state": "active"
}

delete_app_handler

Authorizations:
jwtpatjwtpat
path Parameters
app_name
required
string

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

update_app_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
Request Body schema: application/json
required
port
required
integer <uint32> >= 0

Responses

Request samples

Content type
application/json
{
  • "port": 0
}

Response samples

Content type
application/json
{
  • "active_deployment_id": "66c710e1-2234-4bf2-af70-6d1ccc6055f1",
  • "autoscaling_enabled": true,
  • "cpu_threshold": 0.1,
  • "created_at": "2019-08-24T14:15:22Z",
  • "desired_replicas": 0,
  • "drain_timeout": 0,
  • "git_url": "string",
  • "github_installation_id": 0,
  • "github_repo_full_name": "string",
  • "github_repo_id": 0,
  • "github_webhook_secret": "string",
  • "health_check_path": "string",
  • "hostname": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "max_replicas": 0,
  • "mem_threshold": 0.1,
  • "min_replicas": 0,
  • "name": "string",
  • "port": 0,
  • "scale_state": "active"
}

get_app_secret_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string

Responses

Response samples

Content type
application/json
{
  • "github_webhook_secret": "string"
}

scale_app_handler

Authorizations:
jwtpatjwtpat
path Parameters
app_name
required
string
Request Body schema: application/json
required
autoscaling_enabled
boolean or null
cpu_threshold
number or null <double>
desired_replicas
integer or null <int32>
max_replicas
integer or null <int32>
mem_threshold
number or null <double>
min_replicas
integer or null <int32>

Responses

Request samples

Content type
application/json
{
  • "autoscaling_enabled": true,
  • "cpu_threshold": 0,
  • "desired_replicas": 0,
  • "max_replicas": 0,
  • "mem_threshold": 0,
  • "min_replicas": 0
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

deploy_app_version_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
Request Body schema: application/json
required
disk_mib
integer or null <uint32> >= 0
hypervisor
string or null

Hypervisor to use: "firecracker" or "cloud-hypervisor". Defaults to scheduler-selected.

image
string or null
memory_mib
integer or null <uint32> >= 0

Memory to allocate in MiB. Allowed values: 512, 1024, 2048, or 4096.

port
integer or null <uint32> >= 0
vcpus
integer or null <uint32> >= 0

CPU cores to allocate. Allowed values: 1, 2, 3, or 4.

Responses

Request samples

Content type
application/json
{
  • "disk_mib": 0,
  • "hypervisor": "string",
  • "image": "string",
  • "memory_mib": 0,
  • "port": 0,
  • "vcpus": 0
}

Response samples

Content type
application/json
{
  • "deployment_id": "string",
  • "host_id": "string",
  • "image_tag": "string",
  • "job_id": "string",
  • "message": "string",
  • "status": "string",
  • "vm_id": "string"
}

list_deployments_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string

Responses

Response samples

Content type
application/json
[
  • {
    }
]

deployments_stream_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

app_logs_stream_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

app_metrics_stream_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

workspace_events_stream

Authorizations:
jwtpatjwtpat

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

activate_deployment_handler

Authorizations:
jwtpatjwtpat
path Parameters
app_name
required
string
deployment_id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

get_deployment_status

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string

Responses

Response samples

Content type
application/json
{
  • "app_id": "string",
  • "app_name": "string",
  • "cpu_usage": 0.1,
  • "deployment_id": "string",
  • "error_message": "string",
  • "host_id": "string",
  • "hypervisor": "string",
  • "image": "string",
  • "ipv6_address": "string",
  • "job_id": "string",
  • "memory_mib": 0,
  • "ram_used_bytes": 0,
  • "rx_bytes": 0,
  • "scale_state": "active",
  • "scheduled_at": 0,
  • "started_at": 0,
  • "status": "string",
  • "stopped_at": 0,
  • "tx_bytes": 0,
  • "vcpus": 0,
  • "vm_id": "string"
}

stop_deployment

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string

Responses

Response samples

Content type
application/json
null

get_deployment_logs

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

pause_deployment

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string

Responses

Response samples

Content type
application/json
null

resume_deployment

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string

Responses

Response samples

Content type
application/json
null

delete_deployment_record

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string

Responses

Response samples

Content type
application/json
null

vm_snapshot_create_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string
Request Body schema: application/json
required
snapshot_name
required
string

Responses

Request samples

Content type
application/json
{
  • "snapshot_name": "string"
}

Response samples

Content type
application/json
null

vm_snapshot_restore_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string
snapshot_name
required
string

Responses

Response samples

Content type
application/json
null

vm_snapshot_delete_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string
snapshot_name
required
string

Responses

Response samples

Content type
application/json
null

vm_snapshot_list_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string

Responses

Response samples

Content type
application/json
null

attach_volume_runtime_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string
Request Body schema: application/json
required
mount_point
required
string
read_only
boolean
Default: false
volume_id
required
string

Responses

Request samples

Content type
application/json
{
  • "mount_point": "string",
  • "read_only": false,
  • "volume_id": "string"
}

Response samples

Content type
application/json
null

detach_volume_runtime_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string
Request Body schema: application/json
required
any

Responses

Request samples

Content type
application/json
null

Response samples

Content type
application/json
null

start_migration_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string
Request Body schema: application/json
required
target_host
required
string
target_uri
required
string

Responses

Request samples

Content type
application/json
{
  • "target_host": "string",
  • "target_uri": "string"
}

Response samples

Content type
application/json
null

cancel_migration_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string

Responses

Response samples

Content type
application/json
null

query_migration_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string

Responses

Response samples

Content type
application/json
null

query_balloon_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string

Responses

Response samples

Content type
application/json
null

set_balloon_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
job_id
required
string
Request Body schema: application/json
required
target_memory_mib
required
integer <uint32> >= 0

Responses

Request samples

Content type
application/json
{
  • "target_memory_mib": 0
}

Response samples

Content type
application/json
null

list_security_rules_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string

Responses

Response samples

Content type
application/json
[
  • {
    }
]

create_security_rule_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
Request Body schema: application/json
required
action
required
string
port_end
required
integer <uint32> >= 0
port_start
required
integer <uint32> >= 0
protocol
required
string

Responses

Request samples

Content type
application/json
{
  • "action": "string",
  • "port_end": 0,
  • "port_start": 0,
  • "protocol": "string"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

delete_security_rule_handler

Authorizations:
jwtpat
path Parameters
app_name
required
string
rule_id
required
string

Responses

Response samples

Content type
application/json
null

get_mesh_status_handler

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
{
  • "total_workers": 0,
  • "workers": [
    ]
}

mesh_status_stream_handler

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

list_active_deployments

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
[
  • {
    }
]

watch_deployments

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

list_volumes_handler

Authorizations:
jwtpat
path Parameters
app_id
required
string <uuid>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

attach_volume_handler

Authorizations:
jwtpat
path Parameters
app_id
required
string <uuid>
Request Body schema: application/json
required
access_mode
integer <int32>
Default: 0
mount_point
string
Default: "/data"
volume_id
required
string <uuid>

Responses

Request samples

Content type
application/json
{
  • "access_mode": 0,
  • "mount_point": "/data",
  • "volume_id": "f17547b0-76cd-4153-92b9-a7d38dac0aba"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

detach_volume_handler

Authorizations:
jwtpat
path Parameters
app_id
required
string <uuid>
volume_id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

list_all_volumes_handler

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
[
  • {
    }
]

create_volume_handler

Authorizations:
jwtpat
Request Body schema: application/json
required
name
required
string
size_mib
required
integer <int32>

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "size_mib": 0
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

list_snapshots_handler

Authorizations:
jwtpat
path Parameters
volume_id
required
string <uuid>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

create_snapshot_handler

Authorizations:
jwtpat
path Parameters
volume_id
required
string <uuid>
Request Body schema: application/json
required
name
required
string

Responses

Request samples

Content type
application/json
{
  • "name": "string"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

restore_snapshot_handler

Authorizations:
jwtpat
path Parameters
volume_id
required
string <uuid>
Request Body schema: application/json
required
snapshot_name
required
string

Responses

Request samples

Content type
application/json
{
  • "snapshot_name": "string"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

clone_volume_handler

Authorizations:
jwtpat
path Parameters
volume_id
required
string <uuid>
Request Body schema: application/json
required
name
required
string
snapshot_name
required
string

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "snapshot_name": "string"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

get_volume_usage_handler

Authorizations:
jwtpat
path Parameters
volume_id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "provisioned_bytes": 0,
  • "used_bytes": 0
}

delete_volume_handler

Authorizations:
jwtpat
path Parameters
volume_id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

delete_snapshot_handler

Authorizations:
jwtpat
path Parameters
snapshot_id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

list_databases

Authorizations:
jwtpat

Responses

Response samples

Content type
application/json
[
  • {
    }
]

create_database

Authorizations:
jwtpat
Request Body schema: application/json
required
disk_mib
integer or null <uint32> >= 0
engine
required
string
memory_mib
integer or null <uint32> >= 0
name
required
string
postgres_version
integer or null <uint16> [ 0 .. 65535 ]
object or null
vcpus
integer or null <uint32> >= 0

Responses

Request samples

Content type
application/json
{
  • "disk_mib": 0,
  • "engine": "string",
  • "memory_mib": 0,
  • "name": "string",
  • "postgres_version": 65535,
  • "settings": {
    },
  • "vcpus": 0
}

Response samples

Content type
application/json
{
  • "created_at": "2019-08-24T14:15:22Z",
  • "disk_mib": 0,
  • "engine": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "memory_mib": 0,
  • "name": "string",
  • "neon_tenant_id": "string",
  • "neon_timeline_id": "string",
  • "postgres_version": 65535,
  • "status": "string",
  • "tenant_gen": 0,
  • "updated_at": "2019-08-24T14:15:22Z",
  • "vcpus": 0
}

delete_database

Authorizations:
jwtpat
path Parameters
id
required
string <uuid>

Responses

Response samples

Content type
application/json
null

get_database_connection

Authorizations:
jwtpat
path Parameters
id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "database_host": "string",
  • "database_id": "91088904-0b92-46ad-9240-e1afa0da22df",
  • "database_name": "string",
  • "database_port": 65535,
  • "database_user": "string",
  • "psql_command": "string",
  • "ssh_host": "string",
  • "ssh_port": 65535,
  • "ssh_tunnel_command": "string",
  • "ssh_user": "string"
}

list_database_branches

Authorizations:
jwtpat
path Parameters
id
required
string <uuid>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

get_database_backups

Authorizations:
jwtpat
path Parameters
id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "backup_strategy": "string",
  • "created_at": "2019-08-24T14:15:22Z",
  • "database_id": "91088904-0b92-46ad-9240-e1afa0da22df",
  • "database_name": "string",
  • "neon_tenant_id": "string",
  • "neon_timeline_id": "string",
  • "recovery_mode": "string",
  • "retention_valid": true,
  • "status": "string",
  • "tenant_gen": 0,
  • "updated_at": "2019-08-24T14:15:22Z"
}

list_database_snapshots

Authorizations:
jwtpat
path Parameters
id
required
string <uuid>

Responses

Response samples

Content type
application/json
{
  • "message": "string",
  • "snapshots": [
    ],
  • "success": true
}

create_database_snapshot

Authorizations:
jwtpat
path Parameters
id
required
string <uuid>
Request Body schema: application/json
required
name
required
string

Responses

Request samples

Content type
application/json
{
  • "name": "string"
}

Response samples

Content type
application/json
{
  • "error": "string",
  • "status": 65535
}

restore_database_snapshot

Authorizations:
jwtpat
path Parameters
id
required
string <uuid>
Request Body schema: application/json
required
snapshot_name
required
string

Responses

Request samples

Content type
application/json
{
  • "snapshot_name": "string"
}

Response samples

Content type
application/json
{
  • "message": "string",
  • "success": true
}

delete_database_snapshot

Authorizations:
jwtpat
path Parameters
id
required
string <uuid>
snapshot_name
required
string

Responses

Response samples

Content type
application/json
{
  • "message": "string",
  • "success": true
}

audit-logs

List activity audit logs for the authenticated user/tenant

Authorizations:
jwtpat
query Parameters
action
string or null
limit
integer or null <int64>
offset
integer or null <int64>
resource_type
string or null

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "total": 0
}